> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Subscribed Product

> This endpoint allows you to see the list of all modelslab product you have subscribed to

## Request

Send a `GET` request to below endpoint and pass the **quantity** of the models you want to buy in the request body.

```curl curl theme={null}
--request GET 'https://modelslab.com/api/subscribed_products' \
```

## Body

```json json theme={null}
{  
    "key": ""
}
```


## OpenAPI

````yaml GET /subscribed_products
openapi: 3.1.0
info:
  title: ModelsLab General API
  description: >-
    General utility endpoints for ModelsLab API including subscription
    management, content moderation, and file handling
  license:
    name: MIT
  version: 6.0.0
servers:
  - url: https://modelslab.com/api
    description: Main API server (for endpoints without version prefix)
  - url: https://modelslab.com/api/v3
    description: API v3 server
  - url: https://modelslab.com/api/v5
    description: API v5 server
  - url: https://modelslab.com/api/v6
    description: API v6 server
security: []
paths:
  /subscribed_products:
    get:
      summary: Get subscribed products
      description: >-
        This endpoint allows you to see the list of all modelslab product you
        have subscribed to
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubscribedProductsRequest'
      responses:
        '200':
          description: Subscribed products response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscribedProductsResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      servers:
        - url: https://modelslab.com/api
components:
  schemas:
    SubscribedProductsRequest:
      type: object
      required:
        - key
      properties:
        key:
          type: string
          description: Your API Key used for request authorization
    SubscribedProductsResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
        data:
          type: object
          description: Data containing subscription information for each product
          additionalProperties:
            type: object
            properties:
              total_api_call:
                type: integer
                description: Total API calls available
              api_call_remaining:
                type: integer
                description: Remaining API calls
              percentage_used:
                type: integer
                description: Percentage of API calls used
    Error:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: string
          enum:
            - error
        message:
          type: string
          description: Error message

````